<div class="panel-header panel-header-sm"></div>
<div class="main-content">
  <div class="row">
    <div class="col">
      <div class="card card-upgrade">
        <div class="card-header">
          <h4 class="card-title">Traspaso de productos entre bodegas</h4>

          <div class="card-body">
            <form [formGroup]="formIngreso" (ngSubmit)="crear()">
              <div class="form-group">
                <div class="row">
                  

                  <div class="col-md-8 pr-1">
                    <div class="form-group">
                      <label for="producto" class="control-label"
                        >Producto</label
                      >
                      <mat-select
                      class="form-control text-uppercase"
                      formControlName="idProducto"
                    >
                      <mat-option
                        *ngFor="let producto of productos"
                        [value]="producto.idProducto"
                        ngDefaultControl
                        class="text-uppercase"
                        >{{ producto.nombreProducto }}
                      </mat-option>
                    </mat-select>
                    </div>
                  </div>

                  <div class="col-md-4 pr-1">
                    <div class="form-group">
                      <label for="cantidad" class="control-label"
                        >Cantidad</label
                      >
                      <input
                        type="text"
                        class="form-control"
                        formControlName="cantidad"
                        placeholder="Cantidad"
                      />
                    </div>
                  </div>

                 

                  <div class="col-md-6 pr-1">
                    <div class="form-group">
                      <label for="bodega_saliente" class="control-label"
                        >Bodega Origen</label
                      >
                      <mat-select class="form-control" formControlName="idbodegaOrigen">
                        <mat-option
                          *ngFor="let bodega of bodegas"
                          [value]="bodega.id"
                          ngDefaultControl 
                          >{{ bodega.nombreBodega }}
                        </mat-option>
                      </mat-select>
                    </div>
                  </div>

                  <div class="col-md-6 pr-1">
                    <div class="form-group">
                      <label for="bodega_entrante" class="control-label"
                        >Bodega Destino</label
                      >
                      <mat-select class="form-control" formControlName="idbodegaDestino">
                        <mat-option
                          *ngFor="let bodega of bodegas"
                          [value]="bodega.id"
                          ngDefaultControl 
                          >{{ bodega.nombreBodega }}
                        </mat-option>
                      </mat-select>
                    </div>
                  </div>

                  <br />
                  <br />

                  <div class="col-md-4 px-1">
                    <div class="form-group">
                      <br />
                      <button
                        type="submit"
                        class="login100-form-btn"
                        type="submit"
                        [disabled]="!formIngreso.valid"
                      >
                        Traspasar
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </form>
          </div>

          <div class="col-md-12">
            <div class="card card-plain">
              <div class="card-header">
                <h4 class="card-title">Historial de bajas realizadas</h4>
              </div>
              <div class="card-body">
                <div class="table-hover table-striped">
                  <table class="table">
                    <thead class="text-primary">
                      <th>Código</th>
                      <th>Producto</th>
                      <th>Bodega Entrada</th>
                      <th>Bodega Salida</th>                                          
                      <th>Cantidad</th>
                      <th>Usuario</th>
                      <!-- <th>Motivo</th> -->
                      <!-- <th class="text-center">Opciones</th> -->
                    </thead>
                    <tbody>
                      <tr *ngFor="let traspasobodegas of traspasobodega">
                        <td scope="row">{{ traspasobodegas.id }}</td>
                        <td>{{ traspasobodegas.producto.nombreProducto }}</td>
                        <td>{{ traspasobodegas.bodegaOrigen.nombreBodega }}</td>
                        <td>{{ traspasobodegas.bodegaDestino.nombreBodega }}</td>
                        <td>{{ traspasobodegas.cantidadProdTraspaso }}</td>
                        <td><strong>rellenar</strong></td>
                        
                        <!-- <td class="text-center">
                          <button
                            mat-raised-button
                            color="primary"
                            style="margin: 10px"
                            [routerLink]="[
                              '/ingresar-bodega/',
                              bodega.id
                            ]"
                          >
                            Editar
                          </button>
                        </td> -->
                      </tr>
                    </tbody>
                  </table>
                </div>
    
                <mat-paginator
                  [length]="totalRegistros"
                  [pageSize]="totalPorPagina"
                  [pageIndex]="paginaActual"
                  [pageSizeOptions]="pageSizeOptions"
                  (page)="paginar($event)"
                  showFirstLastButtons
                  class="mx-2"
                >
                </mat-paginator>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    
     
   
  </div>
</div>
